#
# spec file for package cisco-snic (Version 0.0.1.18)
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.suse.com
#

%define kmod_name snic
Name:           cisco-%{kmod_name}
License:		GPL-2.0+	
Group:			System/Kernel
Summary:		Cisco SCSI vNIC Driver
Version:		0.0.1.18
Release:		20.1
Source0:		snic-sles-%version.tgz
Source1:		Module.supported
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	%kernel_module_package_buildreqs
Patch0:         snic-fix-duplicate-kmem-cache-names.patch 

%kernel_module_package -p %_sourcedir/preamble 

%description
snic - Cisco VIC SCSI vNIC Driver to support the SCSI NIC features
on specialized network adapters.

%package KMP
Group:          System/Kernel
Summary:        Cisco SCSI vNIC Driver

%description KMP
snic - Cisco VIC SCSI vNIC Driver to support the SCSI NIC features
on specialized network adapters.

%debug_package

%prep
%setup -n snic-sles-%version
%patch0 -p0
cp %_sourcedir/Module.supported ./drivers/scsi/snic/
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
   rm -rf obj/$flavor
   cp -r source obj/$flavor
   BUILD_DIR=$PWD/obj/$flavor
   make -C %{kernel_source $flavor} modules \
	M=$BUILD_DIR/drivers/scsi/snic \
	SUBTREE_INCLUDE=-I$BUILD_DIR/include
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%{kernel_module_package_moddir %name}
mkdir -p $RPM_BUILD_ROOT/bin
for flavor in %flavors_to_build; do
   BUILD_DIR=$PWD/obj/$flavor
   make -C %{kernel_source $flavor} modules_install \
	M=$BUILD_DIR/drivers/scsi/snic \
	SUBTREE_INCLUDE=-I$BUILD_DIR/include
done

# install script here
install -D -m755 source/tools/bin/snic_admin $RPM_BUILD_ROOT/bin

%files 
%defattr(755,root,root)
/bin/snic_admin

%clean
rm -rf %{buildroot}
%changelog
* Thu Jun 25 2015 drahn@suse.com
- snic-fix-duplicate-kmem-cache-names.patch: fix duplicate kmem cache
  names in Cisco snic driver (bsc#935911)
* Tue Jun 23 2015 drahn@suse.com
- initial version 0.0.1.18 of Cisco snic driver
